include<ub.scad>; //⇒ v.gd/ubaer or https://github.com/UBaer21/UB.scad
/*[Hidden]*/
designVersion=1.1;
useVersion=22.046;//(sites.google.com/site/ulrichbaer)
assert(Version>=useVersion,str("lib version ",Version," detected, install ",useVersion," ub.scad library‼ ⇒http://v.gd/ubaer"));
/*[Basics]*/
nozzle=.2;
bed=false;
pPos=[0,0];
info=true;
name=undef;

/*[Trip-Ring]*/

fingerCircumfence=56;
rand=.8;
breit=3;

id=fingerCircumfence/PI;
echo(str("\tRing size (DE)=",id*PI,"mm, finger diameter=",id,"mm\n"));

T(printPos){
  
Polar(3,rand*2)R(20)TripRing();
//%cylinder(20,d=id,center=true);
}


module TripRing(id=norm([id,breit])+rand+spiel*2,rand=rand,breit=breit){
od=id+rand*2;


  RotEx(fn=100)
  Rund(.25)
  T(id/2+rand/2) Superellipse(r=rand/2,r2=breit/2,n=5,n2=2,fn=72);

}